WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP Quote Tweets

Allows authors to quote Twitter updates in posts or pages using a simple shortcode. [quotetweet tweetid=123456789].

  • Added support for templates

2.0.1

  • Fixed some CSS issues in the Twitter template.

2.1.0

  • Added some simple templates.

2.1.1

  • caching routine will no longer show an error when /xmlcache/ directory is not writable. The plug-in will continue to run but will not cache.

2.2.0

  • Added screenshots to settings.
  • Fixed filenames in templates.

2.2.2

  • Added twitter.tidy template

2.2.3

  • Addressed security restriction issue

2.2.5

  • Better ReplyTo link generation code.

3.0.0

  • Improved settings screen
  • Custom cache configuration
  • Automatic custom template for RSS readers
  • Better error handling for missing tweets

4.0.0

  • Custom Quote Tweet templates can be stored under {CurrentTheme}/wpqt/ folder (/wp-content/themes/CurrentTheme/wpqt/myOwnTweetTemplate/)
  • Caching has be overhauled. With this version the Twitter XML files will be cached in the "xmlcache" folder and the post generation using the user selected template is completely dynamic. This makes switching between themes a much quicker and much safer experience.
  • The twitter.tidy template uses the new %NICE_TIMESTAMP_LINK% variable to show the date as "x minutes ago", "x hours ago", "x days ago" etc

4.0.1

  • More error handling in this version.
  • [quotetweet tweetid=1234567890] can now also be written as [quotetweet 1234567890] or [qtweet 1234567890]
  • Fixed feed template when using custom template in theme subfolder folder.
  • Adding additional caching option.

4.0.2

  • Fixed meta writeonce bug.

4.1.0

  • Cleaner date outputs (server timezone).
  • Added tweetimag.es support.

4.1.1

  • Additional error handling.

4.1.2

  • Accommodating for "Twitter is Over Capacity" error.

Requires: 2.0.0 or higher
Compatible up to: 2.8
Last Updated: 2009-12-2
Downloads: 3,253

Ratings

4 stars
4.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1